## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by go2rpm 1.8.2
%bcond_without check
%bcond_with bootstrap

%if %{with bootstrap}
%global __requires_exclude %{?__requires_exclude:%{__requires_exclude}|}^golang\\(.*\\)$
%endif

# https://github.com/etcd-io/etcd
%global goipath         go.etcd.io/etcd
%global forgeurl        https://github.com/etcd-io/etcd
Version:                3.5.5

%gometa

%global common_description %{expand:
Distributed reliable key-value store for the most critical data of a distributed
system.}

%global golicenses      LICENSE NOTICE
%global godocs          CONTRIBUTING.md README.md Documentation\\\
                        README-*.md READMEv2-etcdctl.md

%global gosupfiles      client/v2/example_keys_test.go\\\
                        client/v3/clientv3util/example_key_test.go\\\
                        client/v3/concurrency/example_election_test.go\\\
                        client/v3/concurrency/example_mutex_test.go\\\
                        client/v3/concurrency/example_stm_test.go\\\
                        client/v3/example_auth_test.go\\\
                        client/v3/example_cluster_test.go\\\
                        client/v3/example_kv_test.go\\\
                        client/v3/example_lease_test.go\\\
                        client/v3/example_maintenance_test.go\\\
                        client/v3/example_metrics_test.go\\\
                        client/v3/example_test.go\\\
                        client/v3/example_watch_test.go

Name:           etcd
Release:        %autorelease
Summary:        Distributed reliable key-value store for the most critical data of a distributed system

License:        Apache-2.0
URL:            %{gourl}
Source0:        %{gosource}
Source1:        %{name}.service
Source2:        %{name}.conf

BuildRequires:  python3-devel
BuildRequires:  systemd-rpm-macros
Requires(pre):  shadow-utils

%description %{common_description}

%gopkg

%prep
%goprep -k
rm -rf vendor/
rm -rf cmd/vendor
rm -rf raft/rafttest

for d in contrib etcdctl etcdutl pkg raft hack security; do
mv $d/README.md README-$d.md
done
mv etcdctl/READMEv2.md READMEv2-etcdctl.md
mv client/v2/README.md README-clientv2.md
mv client/v3/README.md README-clientv3.md

mkdir -p api/v3/ client/pkg/v3 etcdctl/v3 etcdutl/v3 pkg/v3 raft/v3 server/v3 tools/v3
shopt -s extglob
mv api/!(v3) api/v3/.
mv client/pkg/!(v3) client/pkg/v3/.
mv etcdctl/!(v3) etcdctl/v3/.
mv etcdutl/!(v3) etcdutl/v3/.
mv pkg/!(v3) pkg/v3/.
mv raft/!(v3) raft/v3/.
mv server/!(v3) server/v3/.
mv tools/!(v3) tools/v3/.
shopt -u extglob


%if %{without bootstrap}
%generate_buildrequires
%go_generate_buildrequires

%build
%gobuild -o %{gobuilddir}/bin/etcd %{goipath}/server/v3
%gobuild -o %{gobuilddir}/bin/etcdctl %{goipath}/etcdctl/v3
%gobuild -o %{gobuilddir}/bin/etcdutl %{goipath}/etcdutl/v3
%endif

%install
%gopkginstall

%if %{without bootstrap}
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

install -Dpm 0644 %{SOURCE1} %{buildroot}%{_unitdir}/%{name}.service
install -dm 0755 %{buildroot}%{_sysconfdir}/%{name}
install -pm 644 -t %{buildroot}%{_sysconfdir}/%{name} %{SOURCE2}

# And create /var/lib/etcd
install -dm 0755 %{buildroot}%{_sharedstatedir}/%{name}

%if %{with check}
%check
%gocheck -d client/v2 \
         -d client/v3 \
         -d raft/v3 \
         -d server/v3/auth \
         -d server/v3/wal/walpb \
         -d tests/e2ev \
         -d tests/integration \
         -d tests/e2e \
         -d tests/integration/client \
         -t tests/integration/clientv3 \
         -d server/v3/etcdserver/api/membership \
         -d server/v3/mvcc/backend \
         -d pkg/v3/proxy
%endif

%pre
getent group %{name} >/dev/null || groupadd -r %{name}
getent passwd %{name} >/dev/null || useradd -r -g %{name} -d %{_sharedstatedir}/%{name} \
    -s /sbin/nologin -c "etcd user" %{name}

%post
%systemd_post %{name}.service

%preun
%systemd_preun %{name}.service

%postun
%systemd_postun %{name}.service

%files
%license LICENSE
%doc CONTRIBUTING.md README.md
%doc Documentation README-*.md READMEv2-etcdctl.md
%{_bindir}/*
%config(noreplace) %{_sysconfdir}/%{name}
%dir %attr(-,%{name},%{name}) %{_sharedstatedir}/%{name}
%{_unitdir}/%{name}.service
%endif

%gopkgfiles

%changelog
* Sun Nov 06 2022 Robert-André Mauchin <zebob.m@gmail.com> 3.5.5-2
- Update to 3.5.5

* Sun Nov 06 2022 Robert-André Mauchin <zebob.m@gmail.com> 3.5.5-1
- Bootstrap

* Wed Aug 10 2022 Maxwell G <gotmax@e.email> 3.5.0-11
- Rebuild to fix FTBFS

* Wed Aug 10 2022 Maxwell G <gotmax@e.email> 3.5.0-10
- Rebuild to fix FTBFS

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 3.5.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jul 19 2022 Maxwell G <gotmax@e.email> 3.5.0-8
- Rebuild for
  CVE-2022-{1705,32148,30631,30633,28131,30635,30632,30630,1962} in golang

* Thu Jun 23 2022 Maxwell G <gotmax@e.email> 3.5.0-7
- Rebuild to mitigate CVE-2022-21698 (rhbz#2067400).

* Sun Jun 19 2022 Robert-André Mauchin <zebob.m@gmail.com> 3.5.0-6
- Rebuilt for CVE-2022-1996, CVE-2022-24675, CVE-2022-28327,
  CVE-2022-27191, CVE-2022-29526, CVE-2022-30629

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> 3.5.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Sep 14 2021 Robert-André Mauchin <zebob.m@gmail.com> 3.5.0-4
- Fix etcd build

* Wed Aug 25 2021 Robert-André Mauchin <zebob.m@gmail.com> 3.5.0-3
- Fix alternate import path

* Sat Aug 21 2021 Robert-André Mauchin <zebob.m@gmail.com> 3.5.0-2
- Add symlink for alternate import paths

* Mon Aug 09 2021 Robert-André Mauchin <zebob.m@gmail.com> 3.5.0-1
- Update to 3.5.0 Close: rhbz#1932657

* Wed Jul 21 2021 Fedora Release Engineering <releng@fedoraproject.org> - 3.4.14-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 3.4.14-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sat Dec 26 16:38:31 CET 2020 Robert-André Mauchin <zebob.m@gmail.com> - 3.4.14-1
- Update to 3.4.14
- Close: rhbz#1901781

* Fri Sep 04 00:08:52 CEST 2020 Robert-André Mauchin <zebob.m@gmail.com> - 3.4.13-1
- Update to 3.4.13

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 3.4.7-3
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 3.4.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Sun Apr 05 15:36:23 CEST 2020 Robert-André Mauchin <zebob.m@gmail.com> - 3.4.7-1
- Update to 3.4.7

* Mon Feb 17 2020 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 3.3.13-5
- Rebuilt for GHSA-jf24-p9p9-4rjh

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 3.3.13-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Wed Jul 24 2019 Fedora Release Engineering <releng@fedoraproject.org> - 3.3.13-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Wed Jul 10 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 3.3.13-2
- Add Obsoletes for old name

* Wed May 08 01:20:48 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 3.3.13-1
- Release 3.3.13

* Tue Apr 16 15:51:11 CET 2019 Robert-André Mauchin <zebob.m@gmail.com> - 3.3.12-4.20190413gitf29b1ad
- etcd.service: do not pass command line flags already defined in environment

* Mon Apr 15 15:11:24 CET 2019 Robert-André Mauchin <zebob.m@gmail.com> - 3.3.12-3.20190413gitf29b1ad
- Fix building of etcd

* Sat Apr 13 22:31:30 CET 2019 Robert-André Mauchin <zebob.m@gmail.com> - 3.3.12-2.20190413gitf29b1ad
- Bump to commit f29b1ada19713544b698dab8c94c97cfa1e83dac

* Thu Mar 14 2019 Robert-André Mauchin <zebob.m@gmail.com> - 3.3.12-1.20190314gite1ca3b4
- Bump to commit e1ca3b4434945e57e8e3a451cdbde74a903cc8e1
- Add new goipath
- Updated patches
- Updated man pages

* Sun Feb 17 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 3.2.16-6
- Fix broken version specification
- Backport variadic parameter fix

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.16-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Tue Oct 23 2018 Nicolas Mailhot <nim@fedoraproject.org> - 3.2.16-4
- redhat-rpm-config-123 triggers bugs in gosetup, remove it from Go spec files as it’s just an alias
- https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/message/RWD5YATAYAFWKIDZBB7EB6N5DAO4ZKFM/

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.16-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Mar 20 2018 Jan Chaloupka <jchaloup@redhat.com> - 3.2.16-2
- Put back the missing prep, post, preun and postun scripts
  resolves: #1557356

* Fri Mar 09 2018 Jan Chaloupka <jchaloup@redhat.com> - 3.2.16-1.git121edf0
- Update to 3.2.16

* Tue Mar 06 2018 Jan Chaloupka <jchaloup@redhat.com> - 3.2.7-5.gitbb66589
- Update to spec 3.0

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Nov 30 2017 Jan Chaloupka <jchaloup@redhat.com> - 3.2.7-3
- Polish the spec file

* Tue Nov 07 2017 Jan Chaloupka <jchaloup@redhat.com> - 3.2.7-2
- Generate man pages

* Sun Sep 24 2017 Jan Chaloupka <jchaloup@redhat.com> - 3.2.7-1
- Update to 3.2.7
  related: #1448611

* Tue Aug 15 2017 Jan Chaloupka <jchaloup@redhat.com> - 3.2.5-1
- Update to 3.2.5
  resolves: #1448611

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sun Jun 11 2017 Jan Chaloupka <jchaloup@redhat.com> - 3.1.9-1
- Update to 3.1.9
  resolves: #1460496

* Mon Jun 05 2017 Jan Chaloupka <jchaloup@redhat.com> - 3.1.8-1
  Update to 3.1.8
  resolves: #1458717

* Tue May 02 2017 Jan Chaloupka <jchaloup@redhat.com> - 3.1.7-1
- Update to 3.1.7
  resolves: #1447232

* Thu Apr 20 2017 Jan Chaloupka <jchaloup@redhat.com> - 3.1.6-1
- Update to 3.1.6
  resolves: #1444068

* Tue Mar 28 2017 Jan Chaloupka <jchaloup@redhat.com> - 3.1.5-1
- Update to 3.1.5
  resolves: #1436452

* Mon Mar 27 2017 Jan Chaloupka <jchaloup@redhat.com> - 3.1.4-1
- Update to 3.1.4
  resolves: #1435028

* Mon Mar 20 2017 Jan Chaloupka <jchaloup@redhat.com> - 3.1.3-1
- Update to v3.1.3
  related: #1415341

* Tue Mar 14 2017 Jan Chaloupka <jchaloup@redhat.com> - 3.1.0-1
- Update to v3.1.0
  related: #1415341

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.17-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Jan 23 2017 Jan Chaloupka <jchaloup@redhat.com> - 3.0.17-1
- Update to v3.0.17
  etcd-top removed by upstream
  resolves: #1415622

* Fri Nov 18 2016 jchaloup <jchaloup@redhat.com> - 3.0.15-2
- Remove ppc64le architecture restriction
  resolves: #1396463

* Tue Nov 15 2016 jchaloup <jchaloup@redhat.com> - 3.0.15-1
- Update to v3.0.15
  related: #1382965

* Mon Nov 07 2016 jchaloup <jchaloup@redhat.com> - 3.0.14-1
- Update to v3.0.14
  related: #1382965

* Thu Oct 27 2016 jchaloup <jchaloup@redhat.com> - 3.0.13-1
- Update to v3.0.13
  related: #1382965

* Mon Oct 24 2016 jchaloup <jchaloup@redhat.com> - 3.0.12-2
- Extend supported architectures with s390x

* Thu Oct 13 2016 jchaloup <jchaloup@redhat.com> - 3.0.12-1
- Update to v3.0.12
  related: #1382965

* Fri Sep 16 2016 jchaloup <jchaloup@redhat.com> - 3.0.9-1
- Update to v3.0.9
  related: #1374880

* Wed Sep 14 2016 jchaloup <jchaloup@redhat.com> - 3.0.8-1
- Update to v3.0.8
  resolves: #1374880

* Fri Sep 09 2016 jchaloup <jchaloup@redhat.com> - 3.0.7-1
- Update to v3.0.7
  resolves: #1370678

* Tue Aug 16 2016 jchaloup <jchaloup@redhat.com> - 3.0.4-2
- Hack test to provide ability to run unit-tests and integration tests
  Still, keeping it disabled by default as it keeps failing
  related: #1351818

* Tue Aug 02 2016 jchaloup <jchaloup@redhat.com> - 3.0.4-1
- Update to 3.0.4
  related: #1351818

* Thu Jul 28 2016 jchaloup <jchaloup@redhat.com> - 3.0.2-1
- Update to 3.0.2
  resolves: #1351818

* Thu Jul 21 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.0-0.2.beta0
- https://fedoraproject.org/wiki/Changes/golang1.7

* Sun May 15 2016 jchaloup <jchaloup@redhat.com> - 3.0.0-0.1.beta0
- Update to v3.0.0-beta0 (build from bundled until new deps appear in dist-git)
  resolves: #1333988

* Sat Apr 30 2016 jchaloup <jchaloup@redhat.com> - 2.3.3-1
- Update to v2.3.3
  resolves: #1331896

* Fri Apr 22 2016 jchaloup <jchaloup@redhat.com> - 2.3.2-1
- Update to v2.3.2
  resolves: #1329438

* Sat Apr  9 2016 Peter Robinson <pbrobinson@fedoraproject.org> 2.3.1-3
- Enable aarch64

* Wed Apr 06 2016 jchaloup <jchaloup@redhat.com> - 2.3.1-2
- Don't apply patch (for tests only which are disabled atm)

* Mon Apr 04 2016 jchaloup <jchaloup@redhat.com> - 2.3.1-1
- Update to v.2.3.1
  resolves: #1323375

* Sun Mar 20 2016 jchaloup <jchaloup@redhat.com> - 2.3.0-1
- Update to v2.3.0
  resolves: #1314441

* Wed Mar 09 2016 jchaloup <jchaloup@redhat.com> - 2.2.5-4
- Only ppc64le is supported, ppc64 not
  related: #1315419

* Tue Mar 08 2016 jchaloup <jchaloup@redhat.com> - 2.2.5-3
- Extend archs to all supported
  resolves: #1315419

* Mon Feb 22 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.5-2
- https://fedoraproject.org/wiki/Changes/golang1.6

* Thu Feb 18 2016 jchaloup <jchaloup@redhat.com> - 2.2.5-1
- Update to v2.2.5

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jan 21 2016 jchaloup <jchaloup@redhat.com> - 2.2.4-1
- Update to v2.2.4
  resolves: #1300558

* Fri Jan 08 2016 jchaloup <jchaloup@redhat.com> - 2.2.3-1
- Update to v2.2.3
  resolves: #1296809

* Tue Dec 29 2015 jchaloup <jchaloup@redhat.com> - 2.2.2-2
- add missing options to etcd help (thanks to Joy Pu ypu@redhat.com)
- add more information when running etcd as a service

* Mon Dec 07 2015 jchaloup <jchaloup@redhat.com> - 2.2.2-1
- Update to v2.2.2

* Mon Nov 16 2015 jchaloup <jchaloup@redhat.com> - 2.2.1-4
- Update etcd.conf: add new options, fix current

* Fri Oct 30 2015 jchaloup <jchaloup@redhat.com> - 2.2.1-3
- Add After=network-online.target and Wants=network-online.target
  to etcd.service

* Tue Oct 20 2015 jchaloup <jchaloup@redhat.com> - 2.2.1-2
- Set Type=notify instead of simple in etcd.service (upstream #1576)
  related: #1272438

* Fri Oct 16 2015 jchaloup <jchaloup@redhat.com> - 2.2.1-1
- Update to v2.2.1
  resolves: #1272438

* Fri Sep 11 2015 jchaloup <jchaloup@redhat.com> - 2.2.0-1
- Update to v2.2.0 (etcd-migrate gone)
- Update to spec-2.1
  resolves: #1253864

* Mon Aug 31 2015 jchaloup <jchaloup@redhat.com> - 2.1.2-1
- Update to v2.1.2
  resolves: #1258599

* Thu Jul 30 2015 jchaloup <jchaloup@redhat.com> - 2.1.1-2
- Enable debug info again
  related: #1214958

* Mon Jul 20 2015 jchaloup <jchaloup@redhat.com> - 2.1.1-1
- fix definition of GOPATH for go1.5
- fix definition of gobuild function for non-debug way
- Update to v2.1.1
  resolves: #1214958

* Fri Jul 10 2015 jchaloup <jchaloup@redhat.com> - 2.0.13-3
- set GOMAXPROCS to use all processors available

* Mon Jun 29 2015 jchaloup <jchaloup@redhat.com> - 2.0.13-2
- Remove -s option from -ldflags string as it removes symbol table
  'go tool l6' gives explanation of all available options
  resolves: #1236320

* Fri Jun 26 2015 jchaloup <jchaloup@redhat.com> - 2.0.13-1
- Update to v2.0.13

* Thu Jun 25 2015 jchaloup <jchaloup@redhat.com> - 2.0.12-2
- Add restart policy and set LimitNOFILE to/in etcd.service file
- Update etcd.config file: add new flags and remove depricated
- Update 'go build' flags for GIT_SHA (used in build script)
- Don't use 4001 and 7001 ports in etcd.conf, they are replaced with 2379 and 2380

* Wed Jun 24 2015 jchaloup <jchaloup@redhat.com> - 2.0.12-1
- Update to v2.0.12
- Polish spec file

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.11-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri May 22 2015 jchaloup <jchaloup@redhat.com> - 2.0.11-2
- ETCD_ADVERTISE_CLIENT_URLS has to be set if ETCD_LISTEN_CLIENT_URLS is
  related: #1222416

* Mon May 18 2015 jchaloup <jchaloup@redhat.com> - 2.0.11-1
- Update to v2.0.11
  resolves: #1222416

* Thu Apr 23 2015 jchaloup <jchaloup@redhat.com> - 2.0.10-1
- Update to v2.0.10
  resolves: #1214705

* Wed Apr 08 2015 jchaloup <jchaloup@redhat.com> - 2.0.9-1
- Update to v2.0.9
  resolves: #1209666

* Fri Apr 03 2015 jchaloup <jchaloup@redhat.com> - 2.0.8-0.2
- Update spec file to fit for rhel too (thanks to eparis)
  related: #1207881

* Wed Apr 01 2015 jchaloup <jchaloup@redhat.com> - 2.0.8-0.1
- Update to v2.0.8
  resolves: #1207881

* Tue Mar 31 2015 jchaloup <jchaloup@redhat.com> - 2.0.7-0.1
- Update to v2.0.7
  Add Godeps.json to doc
  related: #1191441

* Thu Mar 12 2015 jchaloup <jchaloup@redhat.com> - 2.0.5-0.1
- Bump to 9481945228b97c5d019596b921d8b03833964d9e (v2.0.5)

* Tue Mar 10 2015 Eric Paris <eparis@redhat.com> - 2.0.3-0.2
- Fix .service files to work if no config file

* Fri Feb 20 2015 jchaloup <jchaloup@redhat.com> - 2.0.3-0.1
- Bump to upstream 4d728cc8c488a545a8bdeafd054d9ccc2bfb6876

* Wed Feb 18 2015 jchaloup <jchaloup@redhat.com> - 2.0.1-0.2
- Update configuration and service file
  Fix depricated ErrWrongType after update of gogo/protobuf
  related: #1191441

* Wed Feb 11 2015 jchaloup <jchaloup@redhat.com> - 2.0.1-0.1
- Update to 2.0.1
  resolves: #1191441

* Mon Feb 09 2015 jchaloup <jchaloup@redhat.com> - 2.0.0-0.5
- Add missing debug info to binaries (patch from Jan Kratochvil)
  resolves: #1184257

* Fri Jan 30 2015 jchaloup <jchaloup@redhat.com> - 2.0.0-0.4
- Update to etcd-2.0.0
- use gopath as the last directory to search for source code
  related: #1176138

* Mon Jan 26 2015 jchaloup <jchaloup@redhat.com> - 2.0.0-0.3.rc1
- default to /var/lib/etcd/default.etcd as 2.0 uses that default (f21 commit byt eparis)
  related: #1176138
  fix /etc/etcd/etcd.conf path

* Tue Jan 20 2015 jchaloup <jchaloup@redhat.com> - 2.0.0-0.2.rc1
- Update of BuildRequires/Requires, Provides and test
  Add BuildRequire on jonboulle/clockwork
  related: #1176138

* Tue Dec 23 2014 Lokesh Mandvekar <lsm5@fedoraproject.org> - 2.0.0-0.1.rc1
- Resolves: rhbz#1176138 - update to v2.0.0-rc1
- do not redefine gopath
- use jonboulle/clockwork from within Godeps

* Fri Oct 17 2014 jchaloup <jchaloup@redhat.com> - 0.4.6-7
- Add ExclusiveArch for go_arches

* Mon Oct 06 2014 jchaloup <jchaloup@redhat.com> - 0.4.6-6
- related: #1047194
  Remove dependency on go.net

* Mon Oct 06 2014 jchaloup <jchaloup@redhat.com> - 0.4.6-5
- Fix the .service file so it can launch!
  related: #1047194

* Mon Sep 22 2014 jchaloup <jchaloup@redhat.com> - 0.4.6-4
- resolves: #1047194
  Update to 0.4.6 from https://github.com/projectatomic/etcd-package

* Tue Aug 19 2014 Adam Miller <maxamillion@fedoraproject.org> - 0.4.6-3
- Add devel sub-package

* Wed Aug 13 2014 Eric Paris <eparis@redhat.com> - 0.4.6-2
- Bump to 0.4.6
- run as etcd, not root

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Oct 20 2013 Peter Lemenkov <lemenkov@gmail.com> - 0.1.2-5
- goprotobuf library unbundled (see rhbz #1018477)
- go-log library unbundled (see rhbz #1018478)
- go-raft library unbundled (see rhbz #1018479)
- go-systemd library unbundled (see rhbz #1018480)
- kardianos library unbundled (see rhbz #1018481)

* Sun Oct 13 2013 Peter Lemenkov <lemenkov@gmail.com> - 0.1.2-4
- go.net library unbundled (see rhbz #1018476)

* Sat Oct 12 2013 Peter Lemenkov <lemenkov@gmail.com> - 0.1.2-3
- Prepare for packages unbundling
- Verbose build

* Sat Oct 12 2013 Peter Lemenkov <lemenkov@gmail.com> - 0.1.2-2
- Fix typo in the etc.service file

* Sat Oct 12 2013 Peter Lemenkov <lemenkov@gmail.com> - 0.1.2-1
- Ver. 0.1.2
- Integrate with systemd

* Mon Aug 26 2013 Luke Cypret <cypret@fedoraproject.org> - 0.1.1-1
- Initial creation

